View Issue Details

IDProjectCategoryView StatusLast Update
0016990LazarusLCLpublic2010-09-23 02:30
ReporterDavid NoriegaAssigned ToPaul Ishenin 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0016990: F10 in Shortcut in MenuItem
DescriptionIn Windows XP if you have an F10 shortcut key in a a top level menu item and in the event you have a showmessage, when you type return to close the showmessage, a form menu appears.

TagsNo tags attached.
Fixed in Revision26833
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2010-07-21 06:45

manager   ~0039505

Please attach a simple test application to understand the problem better.

2010-07-21 15:05

 

f10bug.zip (128,333 bytes)

David Noriega

2010-07-22 00:23

reporter   ~0039576

Attached file.

steps to reproduce:
New Project> Application
Add TMainMenu component to form
double click on MainMenu1
Select New Item1
Add F10 in ShortCut (only F10)
Add Event OnClick
in Source Editor add ShowMessage('Hello'); to the Menu1Click procedure
run, type [F10] and then [Enter]

Paul Ishenin

2010-07-22 07:45

manager   ~0039579

Yes, the message sequence on windows is the next:
wm_syskeydown
... <--- here we call a modal dialog (ShowMessage in the example)
wm_syskeyup
wm_syscommand

As result wm_syskeyup happens on another form and before wm_syskeydown return. We need to find a good way to solve this.

Paul Ishenin

2010-07-26 06:54

manager   ~0039692

Please test and close if ok.

David Noriega

2010-09-23 02:30

reporter   ~0041280

Tested ok in SVN 27430

Issue History

Date Modified Username Field Change
2010-07-20 17:02 David Noriega New Issue
2010-07-21 06:45 Paul Ishenin LazTarget => -
2010-07-21 06:45 Paul Ishenin Note Added: 0039505
2010-07-21 06:45 Paul Ishenin Status new => feedback
2010-07-21 06:46 Paul Ishenin Widgetset => Win32/Win64
2010-07-21 15:05 David Noriega File Added: f10bug.zip
2010-07-22 00:23 David Noriega Note Added: 0039576
2010-07-22 03:34 Paul Ishenin Status feedback => acknowledged
2010-07-22 07:45 Paul Ishenin LazTarget - => 1.0
2010-07-22 07:45 Paul Ishenin Note Added: 0039579
2010-07-22 07:45 Paul Ishenin Status acknowledged => confirmed
2010-07-22 07:45 Paul Ishenin Target Version => 1.0.0
2010-07-26 06:54 Paul Ishenin Fixed in Revision => 26833
2010-07-26 06:54 Paul Ishenin Status confirmed => resolved
2010-07-26 06:54 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-07-26 06:54 Paul Ishenin Resolution open => fixed
2010-07-26 06:54 Paul Ishenin Assigned To => Paul Ishenin
2010-07-26 06:55 Paul Ishenin Note Added: 0039692
2010-09-23 02:30 David Noriega Status resolved => closed
2010-09-23 02:30 David Noriega Note Added: 0041280